Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.smc.parser
Class SmcLexerContext.OldCommentMap_Default

    java.lang.Object
      statemap.State
          net.sf.smc.parser.SmcLexerContext.SmcLexerState
              net.sf.smc.parser.SmcLexerContext.OldCommentMap_Default

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SmcLexerContext

    protected static class SmcLexerContext.OldCommentMap_Default

extends SmcLexerContext.SmcLexerState

See Also:
  Serialized Form

Constructor Summary
`protected` | `SmcLexerContext.OldCommentMap_Default(java.lang.String name, int id)`

Method Summary
`protected void` | `alpha(SmcLexerContext context)`
`protected void` | `asterisk(SmcLexerContext context)`
`protected void` | `colon(SmcLexerContext context)`
`protected void` | `comma(SmcLexerContext context)`
`protected void` | `digit(SmcLexerContext context)`
`protected void` | `dollar(SmcLexerContext context)`
`protected void` | `EOL(SmcLexerContext context)`
`protected void` | `equal(SmcLexerContext context)`
`protected void` | `left_brace(SmcLexerContext context)`
`protected void` | `left_bracket(SmcLexerContext context)`
`protected void` | `left_paren(SmcLexerContext context)`
`protected void` | `percent(SmcLexerContext context)`
`protected void` | `period(SmcLexerContext context)`
`protected void` | `right_brace(SmcLexerContext context)`
`protected void` | `right_paren(SmcLexerContext context)`
`protected void` | `semicolon(SmcLexerContext context)`
`protected void` | `slash(SmcLexerContext context)`
`protected void` | `underscore(SmcLexerContext context)`
`protected void` | `unicode(SmcLexerContext context)`
`protected void` | `whitespace(SmcLexerContext context)`

Methods inherited from class net.sf.smc.parser.SmcLexerContext.SmcLexerState
`commentDone, Default, Entry, Exit, sourceDone`

Methods inherited from class statemap.State
`getId, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SmcLexerContext.OldCommentMap_Default

    protected SmcLexerContext.OldCommentMap_Default(java.lang.String name,
                                                    int id)

Method Detail

### alpha

    protected void alpha(SmcLexerContext context)

  Overrides:
    `alpha` in class `SmcLexerContext.SmcLexerState`

### digit

    protected void digit(SmcLexerContext context)

  Overrides:
    `digit` in class `SmcLexerContext.SmcLexerState`

### percent

    protected void percent(SmcLexerContext context)

  Overrides:
    `percent` in class `SmcLexerContext.SmcLexerState`

### slash

    protected void slash(SmcLexerContext context)

  Overrides:
    `slash` in class `SmcLexerContext.SmcLexerState`

### asterisk

    protected void asterisk(SmcLexerContext context)

  Overrides:
    `asterisk` in class `SmcLexerContext.SmcLexerState`

### left_brace

    protected void left_brace(SmcLexerContext context)

  Overrides:
    `left_brace` in class `SmcLexerContext.SmcLexerState`

### right_brace

    protected void right_brace(SmcLexerContext context)

  Overrides:
    `right_brace` in class `SmcLexerContext.SmcLexerState`

### left_bracket

    protected void left_bracket(SmcLexerContext context)

  Overrides:
    `left_bracket` in class `SmcLexerContext.SmcLexerState`

### left_paren

    protected void left_paren(SmcLexerContext context)

  Overrides:
    `left_paren` in class `SmcLexerContext.SmcLexerState`

### right_paren

    protected void right_paren(SmcLexerContext context)

  Overrides:
    `right_paren` in class `SmcLexerContext.SmcLexerState`

### period

    protected void period(SmcLexerContext context)

  Overrides:
    `period` in class `SmcLexerContext.SmcLexerState`

### colon

    protected void colon(SmcLexerContext context)

  Overrides:
    `colon` in class `SmcLexerContext.SmcLexerState`

### comma

    protected void comma(SmcLexerContext context)

  Overrides:
    `comma` in class `SmcLexerContext.SmcLexerState`

### semicolon

    protected void semicolon(SmcLexerContext context)

  Overrides:
    `semicolon` in class `SmcLexerContext.SmcLexerState`

### underscore

    protected void underscore(SmcLexerContext context)

  Overrides:
    `underscore` in class `SmcLexerContext.SmcLexerState`

### equal

    protected void equal(SmcLexerContext context)

  Overrides:
    `equal` in class `SmcLexerContext.SmcLexerState`

### dollar

    protected void dollar(SmcLexerContext context)

  Overrides:
    `dollar` in class `SmcLexerContext.SmcLexerState`

### whitespace

    protected void whitespace(SmcLexerContext context)

  Overrides:
    `whitespace` in class `SmcLexerContext.SmcLexerState`

### EOL

    protected void EOL(SmcLexerContext context)

  Overrides:
    `EOL` in class `SmcLexerContext.SmcLexerState`

### unicode

    protected void unicode(SmcLexerContext context)

  Overrides:
    `unicode` in class `SmcLexerContext.SmcLexerState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.